%define oname   ZynAddSubFX

Name:           zynaddsubfx
Version:        3.0.6
Release:        %mkrel 2
Summary:        Real-time MIDI software synthesizer
Group:          Sound/Midi
License:        GPLv2+
URL:            https://sourceforge.net/projects/zynaddsubfx

Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        mageia-controller.desktop
Source2:        mageia-spliter.desktop
Source3:        mageia-zynaddsubfx.desktop
# from https://github.com/zynaddsubfx/zynaddsubfx
Patch1:         0001-Add-stdint.h-header-include.patch

BuildRequires:  cmake
BuildRequires:  fltk-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo) >= 0.28
BuildRequires:  pkgconfig(mxml)
BuildRequires:  pkgconfig(xpm)

Provides:       ZynAddSubFX = %{version}-%{release}

%description
A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.
It includes randomness of some parameters,which makes warm sounds,
like analogue synthesizers. The program has system/insertion effects.

%prep
%autosetup -p1

%build
# It incorrectly detect neon on procs not having it, and decides to build
# for armv7 + neon on armv5tl
%cmake -DNoNeonPlease:BOOL=ON
%cmake_build

%make_build -C ExternalPrograms/Spliter
%make_build -C ExternalPrograms/Controller

%install
install -d %{buildroot}%{_bindir}
install -m 755 %{_vpath_builddir}/src/zynaddsubfx %{buildroot}%{_bindir}
install -m 755 ExternalPrograms/Spliter/spliter %{buildroot}%{_bindir}
install -m 755 ExternalPrograms/Controller/controller %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/applications
install -m 644 %{_sourcedir}/*.desktop %{buildroot}%{_datadir}/applications

install -d %{buildroot}%{_datadir}/%{name}
cp -a instruments/banks %{buildroot}%{_datadir}/%{name}

%files
%doc instruments/examples *.txt
%doc ExternalPrograms/Spliter/readme.txt
%{_bindir}/%{name}
%{_bindir}/spliter
%{_bindir}/controller
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/


%changelog
* Fri Apr 05 2024 daviddavid <daviddavid> 3.0.6-2.mga10
+ Revision: 2054545
- backport upstream patch to fix build with GCC 14

* Tue Dec 06 2022 daviddavid <daviddavid> 3.0.6-1.mga9
+ Revision: 1918383
- new version: 3.0.6

* Thu Mar 31 2022 umeabot <umeabot> 3.0.5-3.mga9
+ Revision: 1837630
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 3.0.5-2.mga8
+ Revision: 1526970
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Jul 07 2019 zezinho <zezinho> 3.0.5-1.mga8
+ Revision: 1419294
- new version 3.0.5

* Sat Mar 30 2019 daviddavid <daviddavid> 3.0.4-1.mga7
+ Revision: 1381542
- new version: 3.0.4 (added compatibility with MXML 3.0)

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302071
- Mageia 7 Mass Rebuild

* Thu Feb 01 2018 zezinho <zezinho> 3.0.3-1.mga7
+ Revision: 1198467
- new version

* Tue Sep 12 2017 zezinho <zezinho> 3.0.2-1.mga7
+ Revision: 1153318
- new version

* Wed Jun 28 2017 pterjan <pterjan> 3.0.1-2.mga6
+ Revision: 1108605
- Fix build on armv5tl

* Sun Dec 11 2016 zezinho <zezinho> 3.0.1-1.mga6
+ Revision: 1074290
- add upstream patch to fix build

* Sun Aug 14 2016 akien <akien> 2.5.4-1.mga6
+ Revision: 1046460
- Version 2.5.4

* Tue Jan 05 2016 neoclust <neoclust> 2.5.2-2.mga6
+ Revision: 919837
- Fix build flags, help arm build

* Wed Dec 16 2015 zezinho <zezinho> 2.5.2-1.mga6
+ Revision: 910856
- patch to fix string
- new version 2.5.2

* Thu Aug 20 2015 fwang <fwang> 2.5.1-1.mga6
+ Revision: 866695
- br libxpm
- br libxpm
- tweak br
- 2.5.1

* Wed Oct 15 2014 umeabot <umeabot> 2.4.4-7.mga6
+ Revision: 738988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.4-6.mga5
+ Revision: 690895
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 zezinho <zezinho> 2.4.4-5.mga5
+ Revision: 650947
- new version

* Sat Oct 19 2013 umeabot <umeabot> 2.4.3-5.mga4
+ Revision: 522607
- Mageia 4 Mass Rebuild

* Sat Mar 23 2013 wally <wally> 2.4.3-4.mga3
+ Revision: 404697
- fix desktop file names

* Mon Jan 14 2013 umeabot <umeabot> 2.4.3-3.mga3
+ Revision: 387797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 2.4.3-2.mga3
+ Revision: 321842
- fix rpm group

* Wed Jul 11 2012 zezinho <zezinho> 2.4.3-1.mga3
+ Revision: 269554
- instruments path changed
- new version

* Thu May 31 2012 zezinho <zezinho> 2.4.2-1.mga3
+ Revision: 251876
- new version built with cmake

* Sun Dec 11 2011 eatdirt <eatdirt> 2.4.1-2.mga2
+ Revision: 180473
- Rebuilt for fftw-3.3

* Mon Oct 31 2011 zezinho <zezinho> 2.4.1-1.mga2
+ Revision: 160694
- patch to build against fltk 1.3
- spec cleanup
- imported package zynaddsubfx


* Tue Aug 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.4.1-1mdv2011.0
+ Revision: 572671
- rediff p0
- update to 2.4.1

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 2.4.0-2mdv2010.1
+ Revision: 493143
- rebuild for new fltk

* Thu Jul 16 2009 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2010.0
+ Revision: 396665
- new version
- rediff the patch
- fix build and installation

* Sun Dec 07 2008 Adam Williamson <awilliamson@mandriva.org> 2.2.1-7mdv2009.1
+ Revision: 311514
- rebuild for new fltk
- some quick fixes for build with latest fltk
- update .desktop files not to include MDV menu categories
- new license policy
- disable no_undefined (breaks build, no shared lib here)
- clean spec
- rename to lower-case per MDV policy
- rename per policy

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-6mdv2009.0
+ Revision: 263231
- rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-5mdv2009.0
+ Revision: 262918
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 14 2007 Helio Chissini de Castro <helio@mandriva.com> 2.2.1-3mdv2008.0
+ Revision: 26726
- Moved .desktop files outside spec
- Added banks and presets ( already included in package but not installed )
- Removed old menudir ( not used on 2008 )
- import ZynAddSubFX-2.2.1-2mdv2007.0

